#
# spec file for package perl-Gtk2 (Version 1.144)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-Gtk2-GladeXML
BuildRequires:  bzip2
BuildRequires:  gtk2-devel libglade2-devel perl perl-Cairo perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib perl-Gtk2 update-desktop-files xorg-x11 xorg-x11-Xvfb xorg-x11-server
Version:        1.006
Release:        1.1
Requires:       perl = %{perl_version}
Requires:       perl-Glib perl-Gtk2
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
URL:            http://cpan.org/modules/by-module/Gtk2/
Summary:        Gtk2 Perl module
Source:         Gtk2-GladeXML-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl bindings to the 2.x series of the Gtk+ widget set.  This module
allows you to write graphical user interfaces in a perlish and
object-oriented way, freeing you from the casting and memory management
in C, yet remaining very close in spirit to original API.



Authors:
--------
    muppet <scott@asofyet.org>
    Ross McFarland <rwmcfa1@neces.com>
    Torsten Schoenfeld <kaffeetisch@web.de>
    Marc Lehmann <pcg@goof.com>
    Goran Thyni <goran@kirra.net>
    Joern Reder <joern@zyn.de>
    Chas Owens <alas@wilma.widomaker dot com>
    Guillaume Cottenceau <gc@mandrakesoft.com>

%prep
%setup -q -n Gtk2-GladeXML-%{version}

%build
export OPTIMIZE="$RPM_OPT_FLAGS"
perl Makefile.PL OPTIMIZE="$OPTIMIZE"
make OPTIMIZE="$OPTIMIZE"
#Xvfb :95 &
#trap "kill $! || true" EXIT
#sleep 5
#disable tests that randomly fail
#mv t/GdkGC.t t/GdkGC.tt
#mv t/GtkStyle.t t/GtkStyle.tt
#mv t/GdkDnd.t    t/GdkDnd.tt
#DISPLAY=:95 make test
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc examples AUTHORS LICENSE NEWS README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Gtk2/GladeXML.pm
%{perl_vendorarch}/Gtk2/GladeXML
%{perl_vendorarch}/auto/Gtk2/GladeXML
/var/adm/perl-modules/%{name}

%changelog
* Mon Mar 26 2007 jblunck@suse.de
- initial packaging
